Support » Plugin: Mail Integration for Office 365/Outlook by Cross Connected » Critical Error when setting up Plugin

  • Resolved mrboulanger1985

    (@mrboulanger1985)


    WordPress versie 5.8
    thema: Storefront (versie 3.7.0)
    plugin: Mail Integration for Office 365/Outlook (versie 1.7.1)
    PHP versie 7.4.16

    Error details
    ===========
    Een fout van het type E_ERROR werd veroorzaakt op regelnummer 42 van het bestand /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/libs/vendor/guzzlehttp/guzzle/src/HandlerStack.php. Foutmelding: Uncaught Error: Call to undefined function GuzzleHttp\choose_handler() in /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/libs/vendor/guzzlehttp/guzzle/src/HandlerStack.php:42
    Stack trace:
    #0 /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/libs/vendor/guzzlehttp/guzzle/src/Client.php(65): GuzzleHttp\HandlerStack::create()
    #1 /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/libs/vendor/league/oauth2-client/src/Provider/AbstractProvider.php(132): GuzzleHttp\Client->__construct(Array)
    #2 /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/libs/vendor/thenetworg/oauth2-azure/src/Provider/Azure.php(44): League\OAuth2\Client\Provider\AbstractProvider->__construct(Array, Array)
    #3 /home/u3561p2038/domains/bricksaholic.com/public_html/wp-content/plugins/mail-integration-365/classes/mail_integration_365/admin.php(424): TheNetworg\OAuth2\Clien

    As you website is offline, I cannot see what issue could be. I have created the Azure AD option, and filled in the needed IDs but getting a critical error. How to solve?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author edwardcross

    (@edwardcross)

    So this sound similar to this issue: https://wordpress.org/support/topic/critical-error-216/

    Have you checked you have the Google Listings plugin? If other plugins have implemented these third party plugins poorly, a error will occur, that’s not much I can do about that as I can’t change other plugin’s code. As far as I’m aware, I have loaded these libraries correctly, and they are namespaced.

    Ed

    Thread Starter mrboulanger1985

    (@mrboulanger1985)

    It was indeed the plugin from google. Have deactivated it and now all works fine!
    Thanks for support!

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.